<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="mobiledatalistAddandEdit.aspx.cs"
    Inherits="HySoft.BaseCallCenter.Web.telmanage.mobiledatalistAddandEdit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>号码归属地添加和修改</title>
    <link href="../scripts/ui/skins/Aqua/css/ligerui-all.css" rel="stylesheet" type="text/css" />
    <link href="../images/style.css" rel="stylesheet" type="text/css" />
    <script src="../scripts/jquery/jquery-1.8.3.min.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/ligerui.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        function validatelogin_name() {
            document.getElementById("lblMobileNum").innerHTML = "*";
            document.getElementById("lblMobileNum").style.color = "#414141";
            if ($("#txtMobileNum").val() == "") {
                document.getElementById("lblMobileNum").innerHTML = "* 不允许为空！";
                document.getElementById("lblMobileNum").style.color = "red";
                $.ligerDialog.error('号段不允许为空');
                return false;
            }
            document.getElementById("lblZipCode").innerHTML = "*";
            document.getElementById("lblZipCode").style.color = "#414141";
            if ($("#txtZipCode").val() == "") {
                document.getElementById("lblZipCode").innerHTML = "* 不允许为空！";
                document.getElementById("lblZipCode").style.color = "red";
                $.ligerDialog.error('区号不允许为空');
                return false;
            }
            document.getElementById("lblCityDes").innerHTML = "*";
            document.getElementById("lblCityDes").style.color = "#414141";
            if ($("#txtCityDes").val() == "") {
                document.getElementById("lblCityDes").innerHTML = "* 不允许为空！";
                document.getElementById("lblCityDes").style.color = "red";
                $.ligerDialog.error('城市不允许为空');
                return false;
            }
            document.getElementById("lblCardDes").innerHTML = "*";
            document.getElementById("lblCardDes").style.color = "#414141";
            if ($("#txtCardDes").val() == "") {
                document.getElementById("lblCardDes").innerHTML = "* 不允许为空！";
                document.getElementById("lblCardDes").style.color = "red";
                $.ligerDialog.error('卡类型不允许为空');
                return false;
            }
            return true;
        }
        function validate() {
            var i = 0;
            if (!validatelogin_name()) {
                i++;
            }
            if (i > 0) {
                return false;
            }
            return true;
        }
        function CloseThis() {
            var dialog = frameElement.dialog;
            parent.LoadList();
            dialog.close();
        }
        function SaveInfo(res) {
            switch (res) {
                case 'success':
                    $.ligerDialog.success('保存成功', function (yes) { CloseThis(); });
                    break;
                case 'warn':
                    $.ligerDialog.error('保存失败，请确认数据正确性');
                    break;
                case 'error':
                    $.ligerDialog.error('系统错误，请联系开发商');
                    break;
                default:
                    break;
            }
        }
    </script>
</head>
<body class="mainbody" style="margin-top: 0px;">
    <form id="form1" runat="server">
    <div id="contentTab">
        <div class="tab_con" style="display: block;">
            <table class="form_table">
                <col width="100px" />
                <col />
                <tbody>
                    <tr>
                        <th>
                            号段：
                        </th>
                        <td>
                            <asp:TextBox ID="txtMobileNum" runat="server" CssClass="txtInput normal" MaxLength="255"></asp:TextBox>
                            <label id="lblMobileNum" for="txtMobileNum">
                                *</label>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            区号：
                        </th>
                        <td>
                            <asp:TextBox ID="txtZipCode" runat="server" CssClass="txtInput normal" MaxLength="255"></asp:TextBox>
                            <label id="lblZipCode" for="txtZipCode">
                                *</label>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            城市：
                        </th>
                        <td>
                            <asp:TextBox ID="txtCityDes" runat="server" CssClass="txtInput normal" MaxLength="255"></asp:TextBox>
                            <label id="lblCityDes" for="txtCityDes">
                                *</label>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            卡类型：
                        </th>
                        <td>
                            <asp:TextBox ID="txtCardDes" runat="server" CssClass="txtInput normal" MaxLength="255"></asp:TextBox>
                            <label id="lblCardDes" for="txtCardDes">
                                *</label>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="foot_btn_box">
            <asp:Button ID="btnSubmit" runat="server" Text="保&nbsp;&nbsp;存" CssClass="btnSubmit"
                OnClientClick="return validate();" OnClick="btnSubmit_Click" />
        </div>
    </div>
    </form>
</body>
</html>
